project_root = "../../.."
include(project_root.."/build_tools")

group("src")
project("xenia-ui")
  uuid("d0407c25-b0ea-40dc-846c-82c46fbd9fa2")
  kind("StaticLib")
  language("C++")
  links({
    "elemental-forms",
    "xenia-base",
  })
  defines({
  })
  includedirs({
    project_root.."/third_party/elemental-forms/src",
    project_root.."/build_tools/third_party/gflags/src",
  })
  local_platform_files()

group("demos")
project("xenia-ui-window-demo")
  uuid("e0a687e5-d1f4-4c18-b2f7-012c53ec1ee4")
  kind("WindowedApp")
  language("C++")
  links({
    "elemental-forms",
    "gflags",
    "glew",
    "imgui",
    "xenia-base",
    "xenia-core",
    "xenia-ui",
    "xenia-ui-gl",
  })
  flags({
    "WinMain",  -- Use WinMain instead of main.
  })
  defines({
    "GLEW_STATIC=1",
    "GLEW_MX=1",
  })
  includedirs({
    project_root.."/third_party/elemental-forms/src",
    project_root.."/build_tools/third_party/gflags/src",
  })
  files({
    "window_demo.cc",
    "../base/main_"..platform_suffix..".cc",
  })
  files({
    project_root.."/third_party/elemental-forms/resources.rc",
  })
  resincludedirs({
    project_root,
    project_root.."/third_party/elemental-forms",
  })
